Bug 35794 - "Please install Xcode 'Command-Line Tools' component" error is less than helpful.
Summary: "Please install Xcode 'Command-Line Tools' component" error is less than help...
Status: RESOLVED FIXED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: mmp ()
Version: Master
Hardware: PC Mac OS
: Normal normal
Target Milestone: 2.8.0 (C7)
Assignee: Timothy Risi
URL:
Depends on:
Blocks:
 
Reported: 2015-11-11 14:41 UTC by Mikayla Hutchinson [MSFT]
Modified: 2016-01-11 19:30 UTC (History)
3 users (show)

Tags: papercut
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Mikayla Hutchinson [MSFT] 2015-11-11 14:41:19 UTC
MMP gives the following error"

MMP: error MM5306: Missing dependencies. Please install Xcode 'Command-Line Tools' component

1. I had to google how to install them
2. I ran `xcode-select --install`
3. I still got MM5306
4. I ran `xcode-select --install` again, and got "error: command line tools are already installed, use "Software Update" to install updates"
5. I still got MM5306. Clearly, the message is wrong.
6. After asking around, we eventually found "Agreeing to the Xcode/iOS license requires admin privileges, please re-run as root via sudo." in the logs, and discovered that the solution was to open xcode.

So there are two problems with this error:

#1 It's not actionable, it requires googling. A simple "please run `xcode-select --install`" would be GREAT.
#2 In some cases it's wrong. Again, a "Please open Xcode and agree to the license agreement" message would have been HUGELY helpful.
Comment 1 Chris Hamons 2015-11-12 09:48:08 UTC
This error completely sucks. I don't disagree at all. Let me look at making it more reasonable.

Maybe something like:

MMP: error MM5306: Missing dependencies. Please verify that xcode-select points to a valid Xcode, that you have agreed to the license agreement in Xcode, and that you have installed the 'Xcode Command-Line Tools' component.
Comment 2 Mikayla Hutchinson [MSFT] 2015-11-12 17:34:59 UTC
Looks good!

How tricky would it be to split that into three errors?
Comment 5 Chris Hamons 2015-11-13 10:21:58 UTC
You are right. We could look for this common / easy case and give a better error. I'll take a look when we look at this bug.
Comment 6 Aaron Bockover [MSFT] 2015-11-30 18:22:21 UTC
Also getting this error for a completely unrelated underlying reason:

  mmp-cache/main.m:10:2: error: use of undeclared identifier 'xamarin_new_refcount'
Comment 7 Timothy Risi 2016-01-11 19:30:28 UTC
Fixed error message for when the issue is due to the xcode license agreement.  We'll add further error messages as we find other cases where this error shows up for other reasons. On master / d4b53eb05e096bfcfe87a4159c3c645cfdee99fc